Name:          libssh2
Version:       1.4.3
Release:       1mamba
Summary:       A library implementing the SSH2 protocol
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://www.libssh2.org/
Source:        http://www.libssh2.org/download/libssh2-%{version}.tar.gz
License:       BSD
BuildRequires: libopenssl-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Libssh2 is a library implementing the SSH2 protocol as defined by Internet Drafts: SECSH-TRANS, SECSH-USERAUTH, SECSH-CONNECTION, SECSH-ARCH, SECSH-FILEXFER, SECSH-DHGEX, SECSH-NUMBERS, and SECSH-PUBLICKEY.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Libssh2 is a library implementing the SSH2 protocol as defined by Internet Drafts: SECSH-TRANS, SECSH-USERAUTH, SECSH-CONNECTION, SECSH-ARCH, SECSH-FILEXFER, SECSH-DHGEX, SECSH-NUMBERS, and SECSH-PUBLICKEY.

This package contains static libraries and header files need for development.

%debug_package

%prep
%setup -q -n %{name}-%{version}

%build
%configure \
   --enable-shared \
   --disable-static \
   --with-libgcrypt \
   --with-openssl \
   --with-libz \
%if "%{_host}" != "%{_build}"
   CFLAGS="-lgpg-error"
%endif

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%doc COPYING README

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libssh2.pc
%{_mandir}/man3/*.3.gz

%changelog
* Thu Nov 29 2012 Automatic Build System <autodist@mambasoft.it> 1.4.3-1mamba
- automatic version update by autodist

* Fri Aug 10 2012 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic version update by autodist

* Mon Apr 16 2012 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic version update by autodist

* Fri Apr 08 2011 Automatic Build System <autodist@mambasoft.it> 1.2.8-1mamba
- automatic update by autodist

* Tue Nov 09 2010 Automatic Build System <autodist@mambasoft.it> 1.2.7-1mamba
- automatic update by autodist

* Sun Jun 27 2010 Automatic Build System <autodist@mambasoft.it> 1.2.6-1mamba
- automatic update by autodist

* Wed Nov 18 2009 Davide Madrisan <davide.madrisan@gmail.com> 1.2.2-1mamba
- update to 1.2.2

* Tue Oct 13 2009 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic update by autodist

* Sun Apr 12 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1-1mamba
- automatic update by autodist

* Tue Jan 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-1mamba
- automatic update by autodist

* Tue Dec 04 2007 Aleph0 <aleph0@openmamba.org> 0.18-1mamba
- update to 0.18

* Sun Oct 14 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.17-1mamba
- update to 0.17

* Thu Apr 12 2007 Aleph0 <aleph0@openmamba.org> 0.15-20070322-1mamba
- package created by autospec
